# -*- coding:utf-8 -*-

import sys
import re

def replace_url(tweet, url_regex):
    return_tweet = url_regex.sub("URL", tweet)
    return return_tweet

def replace_address(tweet, email_regex):
    return_tweet = email_regex.sub("EMAIL_ADRESS", tweet)
    return return_tweet

def replace_screen(tweet, screen_regex):
    return_tweet = screen_regex.sub("@SCREEN_NAME", tweet)
    return return_tweet

def replace_line(tweet):
    return_tweet = tweet.replace(r"\n", " ")
    return return_tweet

def tweet_converter(tweet_origin, url_regex, email_address_regex, screen_regex):
    tweet_line = replace_line(tweet_origin)
    tweet_line_url = replace_url(tweet_line, url_regex)
    tweet_line_url_email = replace_address(tweet_line_url, email_address_regex)
    tweet_line_url_email_screen = replace_screen(tweet_line_url_email, screen_regex)
    return tweet_line_url_email_screen

def main():
    tweet = sys.argv[1]

    url_regex = re.compile(r"https?://[a-zA-Z0-9./:_]+")
    email_address_regex = re.compile(r"[a-zA-Z0-9._]+@[a-zA-Z0-9.]+")
    screen_name_regex = re.compile(r"@[a-zA-Z0-9_]+")

    tweet_regex = tweet_converter(tweet, url_regex, email_address_regex, screen_name_regex)

    print(tweet_regex)    

if __name__ == '__main__':
    main()
